# rpmspec.h File Reference

The rpmSpec and Package data structures used during build. More...

`#include <rpm/rpmstring.h>`
`#include <rpm/rpmcli.h>`

Include dependency graph for rpmspec.h:

Go to the source code of this file.

## Data Structures
struct | TriggerFileEntry
struct | Source
struct | ReadLevelEntry
struct | OpenFileInfo
struct | spectag_s
struct | spectags_s
struct | speclines_s
struct | rpmSpec_s
| The structure used to store values parsed from a spec file. More...
struct | Package_s
| The structure used to store values for a package. More...
## Defines
#define | RPMBUILD_ISSOURCE (1 << 0)
#define | RPMBUILD_ISPATCH (1 << 1)
#define | RPMBUILD_ISICON (1 << 2)
#define | RPMBUILD_ISNO (1 << 3)
#define | RPMBUILD_DEFAULT_LANG "C"
## Typedefs
typedef struct Package_s * | Package
typedef struct ReadLevelEntry | RLE_t
typedef struct OpenFileInfo | OFI_t
typedef struct spectag_s * | spectag
typedef struct spectags_s * | spectags
typedef struct speclines_s * | speclines
## Functions
rpmSpec | newSpec (void)
| Create and initialize rpmSpec structure.
rpmSpec | freeSpec (rpmSpec spec)
| Destroy Spec structure.
int | rpmspecQuery (rpmts ts, QVA_t qva, const char *arg)
| Function to query spec file(s).
struct OpenFileInfo * | newOpenFileInfo (void)
spectag | stashSt (rpmSpec spec, Header h, rpmTag tag, const char *lang)
| stashSt.
int | addSource (rpmSpec spec, Package pkg, const char *field, rpmTag tag)
| addSource.
int | parseNoSource (rpmSpec spec, const char *field, rpmTag tag)
| parseNoSource.

## Detailed Description

The rpmSpec and Package data structures used during build.

Definition in file rpmspec.h.

## Define Documentation

#define RPMBUILD_DEFAULT_LANG "C"

Definition at line 35 of file rpmspec.h.

#define RPMBUILD_ISICON (1 << 2)

Definition at line 32 of file rpmspec.h.

#define RPMBUILD_ISNO (1 << 3)

Definition at line 33 of file rpmspec.h.

#define RPMBUILD_ISPATCH (1 << 1)

Definition at line 31 of file rpmspec.h.

#define RPMBUILD_ISSOURCE (1 << 0)

Definition at line 30 of file rpmspec.h.